diff --git a/subsys/bluetooth/controller/ll_sw/ctrl.c b/subsys/bluetooth/controller/ll_sw/ctrl.c
index e99b3a73ee45..3d5e1a69b13a 100644
--- a/subsys/bluetooth/controller/ll_sw/ctrl.c
+++ b/subsys/bluetooth/controller/ll_sw/ctrl.c
@@ -1366,18 +1366,6 @@ static inline u32_t isr_rx_scan(u8_t devmatch_ok, u8_t devmatch_id,
 		conn = _radio.scanner.conn;
 		_radio.scanner.conn = NULL;
 
-		/* Calculate master slot */
-		conn->hdr.ticks_active_to_start = _radio.ticks_active_to_start;
-		conn->hdr.ticks_xtal_to_start =
-			HAL_TICKER_US_TO_TICKS(RADIO_TICKER_XTAL_OFFSET_US);
-		conn->hdr.ticks_preempt_to_start =
-			HAL_TICKER_US_TO_TICKS(RADIO_TICKER_PREEMPT_PART_MIN_US);
-		conn->hdr.ticks_slot = _radio.scanner.ticks_conn_slot;
-		ticks_slot_offset = (conn->hdr.ticks_active_to_start <
-				     conn->hdr.ticks_xtal_to_start) ?
-				    conn->hdr.ticks_xtal_to_start :
-				    conn->hdr.ticks_active_to_start;
-
 		/* Tx the connect request packet */
 		pdu_adv_tx = (void *)radio_pkt_scratch_get();
 		pdu_adv_tx->type = PDU_ADV_TYPE_CONNECT_IND;
@@ -1433,8 +1421,7 @@ static inline u32_t isr_rx_scan(u8_t devmatch_ok, u8_t devmatch_id,
 			conn_space_us = conn_offset_us;
 			pdu_adv_tx->connect_ind.win_offset = 0;
 		} else {
-			conn_space_us = _radio.scanner.win_offset_us +
-				HAL_TICKER_TICKS_TO_US(ticks_slot_offset);
+			conn_space_us = _radio.scanner.win_offset_us;
 			while ((conn_space_us & ((u32_t)1 << 31)) ||
 			       (conn_space_us < conn_offset_us)) {
 				conn_space_us += conn_interval_us;
@@ -1576,6 +1563,18 @@ static inline u32_t isr_rx_scan(u8_t devmatch_ok, u8_t devmatch_id,
 			packet_rx_enqueue();
 		}
 
+		/* Calculate master slot */
+		conn->hdr.ticks_active_to_start = _radio.ticks_active_to_start;
+		conn->hdr.ticks_xtal_to_start =	HAL_TICKER_US_TO_TICKS(
+			RADIO_TICKER_XTAL_OFFSET_US);
+		conn->hdr.ticks_preempt_to_start = HAL_TICKER_US_TO_TICKS(
+			RADIO_TICKER_PREEMPT_PART_MIN_US);
+		conn->hdr.ticks_slot = _radio.scanner.ticks_conn_slot;
+		ticks_slot_offset = (conn->hdr.ticks_active_to_start <
+				     conn->hdr.ticks_xtal_to_start) ?
+				    conn->hdr.ticks_xtal_to_start :
+				    conn->hdr.ticks_active_to_start;
+
 		/* Stop Scanner */
 		ticker_status = ticker_stop(RADIO_TICKER_INSTANCE_ID_RADIO,
 					    RADIO_TICKER_USER_ID_WORKER,
@@ -4983,7 +4982,7 @@ static void sched_after_mstr_free_slot_get(u8_t user_id,
 						   ticks_to_expire_prev) >
 			     (ticks_slot_prev_abs + ticks_slot_abs +
 			      HAL_TICKER_US_TO_TICKS(RADIO_TICKER_JITTER_US <<
-						     2)))) {
+						     3)))) {
 				break;
 			}
 
@@ -5015,7 +5014,7 @@ static void sched_after_mstr_free_slot_get(u8_t user_id,
 	if (ticker_id_prev != 0xff) {
 		*us_offset = HAL_TICKER_TICKS_TO_US(ticks_to_expire_prev +
 						    ticks_slot_prev_abs) +
-			     (RADIO_TICKER_JITTER_US << 2);
+			     (RADIO_TICKER_JITTER_US << 3);
 	}
 }
 
@@ -5032,13 +5031,18 @@ static void sched_after_mstr_free_offset_get(u16_t conn_interval,
 					ticks_slot), &ticks_anchor_offset,
 				       win_offset_us);
 
-	if (ticks_anchor_offset != ticks_anchor) {
-		*win_offset_us += HAL_TICKER_TICKS_TO_US(
-			ticker_ticks_diff_get(ticks_anchor_offset,
-					      ticks_anchor));
+	if (!*win_offset_us) {
+		return;
 	}
 
-	if ((*win_offset_us & ((u32_t)1 << 31)) == 0) {
+	LL_ASSERT(!((ticks_anchor_offset - ticks_anchor) &
+		    BIT(HAL_TICKER_MSBIT)));
+
+	*win_offset_us += HAL_TICKER_TICKS_TO_US(
+		ticker_ticks_diff_get(ticks_anchor_offset,
+				      ticks_anchor));
+
+	if ((*win_offset_us & BIT(31)) == 0) {
 		u32_t conn_interval_us = conn_interval * 1250;
 
 		while (*win_offset_us > conn_interval_us) {
